# Quotes ## Upsert a Quote - [POST /quotemanager.save](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-quotemanager.save.md): Creates or updates a quote. To update a quote, specify an existing uniqueName. >This endpoint is not allowed to modify the document status and workflow status. --- Required Permission| Roles with the Required Permission | ---------|----------| QUOTE_UPDATE | Edit Quoting (PRICESHOP_EDIT), Administer Quoting (PRICESHOP_QUOTEADMIN), Manage Quoting (PRICESHOP) ## List Quotes - [POST /quotemanager.fetchlist](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-quotemanager.fetchlist.md): Retrieves all quotes. You can also filter the returned data. --- Filter example: Returns only first 10 quotes with workflowStatus = APPROVED and quoteStatus = OFFER. json { "endRow":10, "oldValues": null, "operationType":"fetch", "startRow":0, "textMatchStyle":"exact", "data":{ "_constructor":"AdvancedCriteria", "operator":"and", "criteria":[ { "fieldName":"workflowStatus", "operator":"equals", "value":"APPROVED" }, { "fieldName":"quoteStatus", "operator":"equals", "value":"OFFER" } ] } } --- Required Permission| Roles with the Required Permission | ---------|----------| QUOTE_FETCHFILTERED | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Data Integration (DATAINTEGRATION), View Competition Data (PB_COMPETITION_RO), View Products (PB_PRODUCTS_RO), Administer Price Lists (PB_PRICELISTS), Manage Products (PB_PRODUCTEDITOR), Manage Price Lists (PB_PRICELISTSEDITOR), Administer LPG (PB_PRICEGRIDS), Manage BoM Data (PB_BOM), Administer Products (PB_PRODUCTS), View QuoteConfigurator (PRICESHOP_RO) Manage Product Master (PB_PRODUCTS_ONLY), Investigate for Support (SUPPORT), Administer Plasma (PLASMA), Manage PromotionManager (CM_CONTRACTMANAGER), Edit Quoting (PRICESHOP_EDIT) Administer Rebates (RM_REBATEMANAGER), Administer Quoting (PRICESHOP_QUOTEADMIN), View Product Details (PB_PDETAILSVIEW), Manage Product Details Only (PB_PDETAILSEDITOR), Manage Claims (CLM_CLAIMMANAGER), Manage Product Master Extensions (PB_PXEDITOR), View BoM Data (PB_BOM_RO), Manage Products & Use EC (PB_PRODUCTEDITOR_EC), Manage Competition Data (PB_COMPETITION), Manage QuoteConfigurator (PRICESHOP), View Price Lists (PB_PRICELISTS_RO) ## Get a Quote - [POST /quotemanager.fetch/{typedID}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-quotemanager.fetch-typedid.md): Retrieves quote details. Required Permission| Roles with the Required Permission | ---------|----------| QUOTE_FETCHFILTERED | View Quoting (PRICESHOP_RO), Investigate for Support (SUPPORT), Administer Plasma (PLASMA), Edit Quoting (PRICESHOP_EDIT), Administer Quoting (PRICESHOP_QUOTEADMIN), Manage Quoting (PRICESHOP), Manage Workflow Logics (WF_BUILDER) ## Submit a Quote - [POST /quotemanager.submit](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-quotemanager.submit.md): Submits a specified quote. Required Permission| Roles with the Required Permission | ---------|----------| QUOTE_UPDATE | Edit Quoting (PRICESHOP_EDIT), Administer Quoting (PRICESHOP_QUOTEADMIN), Manage Quoting (PRICESHOP) ## Export an Excel File - [POST /quotemanager.fetchxls/{uniqueName}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-quotemanager.exportxls-uniquename.md): Downloads the XLSX file of the specified quote. Required Permission| Roles with the Required Permission | ---------|----------| QUOTE_FETCHFILTERED | View Quoting (PRICESHOP_RO), Investigate for Support (SUPPORT), Administer Plasma (PLASMA), Edit Quoting (PRICESHOP_EDIT), Administer Quoting (PRICESHOP_QUOTEADMIN), Manage Quoting (PRICESHOP), Manage Workflow Logics (WF_BUILDER) ## Export a DOCX File - [POST /quotemanager.fetchdocx/{uniqueName}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-quotemanager.exportdocx-uniquename.md): Downloads the DOCX file of the specified quote. Required Permission| Roles with the Required Permission | ---------|----------| QUOTE_FETCHFILTERED | View Quoting (PRICESHOP_RO), Investigate for Support (SUPPORT), Administer Plasma (PLASMA), Edit Quoting (PRICESHOP_EDIT), Administer Quoting (PRICESHOP_QUOTEADMIN), Manage Quoting (PRICESHOP), Manage Workflow Logics (WF_BUILDER) ## Export a PDF File - [POST /quotemanager.fetchpdf/{uniqueName}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-quotemanager.fetchtpdf-uniquename.md): Downloads the PDF file of the specified quote. CloudConvert must be enabled (Administration > Configuration > External Systems > CloudConvert). ## Recalculate a Quote - [POST /quotemanager.price](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-quotemanager.price.md): Recalculates the price of the entire quote. Required Permission| Roles with the Required Permission | ---------|----------| QUOTE_PRICE | Edit Quoting (PRICESHOP_EDIT), Administer Quoting (PRICESHOP_QUOTEADMIN), Manage Quoting (PRICESHOP) ## List Products - [POST /quotemanager.fetchproducts](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-quotemanager.fetchproducts.md): Retrieves product records. Additionally to the /productmanager.fetchproducts endpoint, this command supports filtering by a custom formula set for the configured and evaluated quote. Required Permission| Roles with the Required Permission | ---------|----------| QUOTE_FETCHFILTERED | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Data Integration (DATAINTEGRATION), View Competition Data (PB_COMPETITION_RO), View Products (PB_PRODUCTS_RO), Administer Price Lists (PB_PRICELISTS), Manage Products (PB_PRODUCTEDITOR), Manage Price Lists (PB_PRICELISTSEDITOR), Administer LPG (PB_PRICEGRIDS), Manage BoM Data (PB_BOM), Administer Products (PB_PRODUCTS), View QuoteConfigurator (PRICESHOP_RO) Manage Product Master (PB_PRODUCTS_ONLY), Investigate for Support (SUPPORT), Administer Plasma (PLASMA), Manage PromotionManager (CM_CONTRACTMANAGER), Edit Quoting (PRICESHOP_EDIT) Administer Rebates (RM_REBATEMANAGER), Administer Quoting (PRICESHOP_QUOTEADMIN), View Product Details (PB_PDETAILSVIEW), Manage Product Details Only (PB_PDETAILSEDITOR), Manage Claims (CLM_CLAIMMANAGER), Manage Product Master Extensions (PB_PXEDITOR), View BoM Data (PB_BOM_RO), Manage Products & Use EC (PB_PRODUCTEDITOR_EC), Manage Competition Data (PB_COMPETITION), Manage QuoteConfigurator (PRICESHOP), View Price Lists (PB_PRICELISTS_RO) ## Create a New Revision - [POST /quotemanager.createnewrevision/{identifier}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-quotemanager.createnewrevision-identifier.md): Creates a new revision of the quote. Required Permission| Roles with the Required Permission | ---------|----------| QUOTE_UPDATE | Edit Quoting (PRICESHOP_EDIT), Administer Quoting (PRICESHOP_QUOTEADMIN), Manage Quoting (PRICESHOP) ## Convert to a Deal - [POST /quotemanager.convert/{identifier}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-quotemanager.convert-identifier.md): Sets a quoteStatus to DEAL. Required Permission| Roles with the Required Permission | ---------|----------| QUOTE_UPDATE | Edit Quoting (PRICESHOP_EDIT), Administer Quoting (PRICESHOP_QUOTEADMIN), Manage Quoting (PRICESHOP) ## Copy a Quote - [POST /quotemanager.copy/{identifier}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-quotemanager.copy-identifier.md): Creates a copy of the specified quote. Required Permission| Roles with the Required Permission | ---------|----------| QUOTE_UPDATE | Edit Quoting (PRICESHOP_EDIT), Administer Quoting (PRICESHOP_QUOTEADMIN), Manage Quoting (PRICESHOP) ## Mark an Offer as Lost - [POST /quotemanager.changestatus/{identifier}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-quotemanager.changestatus-typedid.md): Changes quoteStatus from OFFER to LOST. Required Permission| Roles with the Required Permission | ---------|----------| QUOTE_UPDATE | Edit Quoting (PRICESHOP_EDIT), Administer Quoting (PRICESHOP_QUOTEADMIN), Manage Quoting (PRICESHOP) ## Revoke a Deal - [POST /quotemanager.revoke/{identifier}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-quotemanager.revoke-typedid.md): Sets quoteStatus to REVOKED. Required Permission| Roles with the Required Permission | ---------|----------| QUOTE_REVOKE | Administer QuoteConfigurator (PRICESHOP_QUOTEADMIN) ## Add Products to a Quote - [POST /quotemanager.addproducts](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-quotemanager.addproducts.md): Adds specified product items to the quote. The quote is recalculated after the items are added. Required Permission| Roles with the Required Permission | ---------|----------| QUOTE_UPDATE | Edit Quoting (PRICESHOP_EDIT), Administer Quoting (PRICESHOP_QUOTEADMIN), Manage Quoting (PRICESHOP) ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Mark an Offer as Lost (with reason) - [POST /clicmanager.setlostreason/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.setlostreason-typedid.md): Sets the specified Quote as LOST and sets the loss reason (lostReason). Optionally, an additional comment (lostReasonComment) can be added. Returns the updated Quote object. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Create a Quote - [POST /clicmanager.create/{TypeCode}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.create-typecode.md): Creates a Quote (Q) or a Temporary Quote (QTMP). ## Save a Temporary Data - [POST /clicmanager.save/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.save-typedid.md): Stores the temporary data from QTMP to the persisted data (Q). Returns the Quote (Q) object. ## Get a Temporary Data - [POST /clicmanager.fetchtmpheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.fetchtmpheader-typedid.md): Retrieves the existing temporary data (QTMP) for the specified Quote. Creates a new QTMP object for the Quote, if the temporary data does not exist. ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used. ## Get Folder Statistics - [POST /clicmanager.folderstats/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.folderstats-typedid.md): Returns a list of parent IDs with the count of nested items. An example can be a list of Quote folders (their IDs) with the count of line items inside them. ## Undo Quote Revocation - [POST /quotemanager.undorevoke/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-quotemanager.undorevoke-typedid.md): Reverts the action 'Revoke Deal' and returns the Quote back to the Deal status. It is useful if the user revokes a Quote deal by mistake. There is no button for this action available in the UI. ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used. ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used. ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used. ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Mark an Offer as Lost (with reason) - [POST /clicmanager.setlostreason/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.setlostreason-typedid.md): Sets the specified Quote as LOST and sets the loss reason (lostReason). Optionally, an additional comment (lostReasonComment) can be added. Returns the updated Quote object. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Create a Quote - [POST /clicmanager.create/{TypeCode}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.create-typecode.md): Creates a Quote (Q) or a Temporary Quote (QTMP). ## Save a Temporary Data - [POST /clicmanager.save/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.save-typedid.md): Stores the temporary data from QTMP to the persisted data (Q). Returns the Quote (Q) object. ## Get a Temporary Data - [POST /clicmanager.fetchtmpheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.fetchtmpheader-typedid.md): Retrieves the existing temporary data (QTMP) for the specified Quote. Creates a new QTMP object for the Quote, if the temporary data does not exist. ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used. ## Get Folder Statistics - [POST /clicmanager.folderstats/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.folderstats-typedid.md): Returns a list of parent IDs with the count of nested items. An example can be a list of Quote folders (their IDs) with the count of line items inside them.